%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%define debug_package %{nil}
%define	py_setup	setup.py

%if 0%{?fedora}
%global         with_python3 1
%else
%global         with_python3 0
%endif

Summary:	artifacts - knowledge base of forensic artifacts
Packager:	Lawrence R. Rogers (lrr@cert.org)
Vendor:		cert.org
Name:		artifacts
Version:	20190320
Release:	1%{?dist}
License:	BSD
Group:		Applications
Source:		%{name}-%{version}.tar.gz
URL:		https://pypi.python.org/pypi/artifacts
BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires: %(basename %{__python})-devel

%description
Artifacts is a free, community-sourced, machine-readable knowledge base of forensic artifacts that
the world can use both as an information source and within other tools.

%package -n %{name}-data
Summary: Data files for Summary: ForensicArtifacts.com Artifact Repository.

%description -n %{name}-data
A free, community-sourced, machine-readable knowledge base of forensic artifacts that the world can use both as an information source and within other tools.

%package -n python2-%{name}
Requires: %{name}-data
%if 0%{?fedora} <= 27
Requires:       PyYAML >= 3.10
%endif
%if 0%{?fedora} >= 28
Requires:       python2-pyyaml >= 3.10
%endif
Summary: ForensicArtifacts.com Artifact Repository.
Obsoletes: %{name}
Provides: %{name} = %{version}
Provides: python-%{name} = %{version}

%description -n python2-%{name}
A free, community-sourced, machine-readable knowledge base of forensic artifacts that the world can use both as an information source and within other tools.

%if 0%{?with_python3}
%package -n python3-%{name}
Summary: ForensicArtifacts.com Artifact Repository.
%if 0%{?fedora} <= 27
Requires:       python3-PyYAML          >= 3.10
%endif
%if 0%{?fedora} >= 28
Requires:       python3-pyyaml          >= 3.10
%endif

%description -n python3-%{name}
A free, community-sourced, machine-readable knowledge base of forensic artifacts that the world can use both as an information source and within other tools.
%endif

%prep
%setup 

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
%{__rm} -rf %{buildroot}

%files -n %{name}-data
%defattr(644,root,root,755)
%license LICENSE
%doc ACKNOWLEDGEMENTS AUTHORS README
%{_datadir}/%{name}/*

%files -n python2-%{name}
%license LICENSE
%doc README
%{python2_sitelib}/artifacts
%{python2_sitelib}/artifacts*.egg-info

%if 0%{?with_python3}
%files -n python3-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/artifacts
%{python3_sitelib}/artifacts*.egg-info
%endif

%exclude %{_bindir}/*

%changelog
* Wed Mar 20 2019 Lawrence R. Rogers <lrr@cert.org> 20190320-1
* Release 20190320
	Release from 2019-03-20.

* Wed Feb 27 2019 Lawrence R. Rogers <lrr@cert.org> 20190227-1
* Release 20190227
	Release from 2019-02-27.

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 20190113-2
* Release 20190113-2
        Version as of 20190113
	python- package renamed to python2-
	python3 version added

* Sun Jan 13 2019 Lawrence R. Rogers <lrr@cert.org> 20190113-1
* Release 201901131
	Release from 2019-01-13.

* Thu Dec 13 2018 Lawrence R. Rogers <lrr@cert.org> 20181213-1
* Release 20181213-1
	Release from 2018-12-13.

* Mon Aug 27 2018 Lawrence R. Rogers <lrr@cert.org> 20180827-1
* Release 20180628-1
	Release from 2018-08-27.

* Thu Jun 28 2018 Lawrence R. Rogers <lrr@cert.org> 20180628-1
* Release 20180628-1
	Release from 2018-06-28.

* Sat May  5 2018 Lawrence R. Rogers <lrr@cert.org> 20180505-1
* Release 20180505-1
	Release from 2018-05-05.

* Mon Jan 15 2018 Lawrence R. Rogers <lrr@cert.org> 20180115-1
* Release 20180115-1
	Release from 2018-01-15.

* Tue Nov  7 2017 Lawrence R. Rogers <lrr@cert.org> 20171107-1
* Release 20171107-1
	Release from 2017-11-07.

* Thu Jul 27 2017 Lawrence R. Rogers <lrr@cert.org> 20170727-1
* Release 20170727-1
	Release from 2017-07-27.

* Sat Oct 22 2016 Lawrence R. Rogers <lrr@cert.org> 20161022-1
* Release 20161022-1
	Release from 2016-10-22.

* Thu Apr  9 2015 Lawrence R. Rogers <lrr@cert.org> 20150409-1
* Release 20150409-1
	Initial release. 
